/*
 *   Program:    PC Keyboard
 *   Created:    07.09.99 21:08
 *   Author:     V. Brajer - vlado.brajer@kks.s-net.net
 *               http://www.sparovcek.net/bray
 *               based on Atmel's AVR313 application note
 *   Comments:   AVRGCC port - original for IAR C
 *   wb - 29.Jan.2005 Based on ... 
 */

void          kb_init(void);
unsigned int  kb_decode(unsigned int sc);
unsigned int  kb_getchar(void);
unsigned int  kb_getcode(void);
unsigned char kbhit(void);
void          kb_flush(void);
unsigned int  kb_peekcode(void);
unsigned int  kb_peekchar(void);


#define LEFT_SHIFT  0x8000                
#define RIGHT_SHIFT 0x4000
#define LEFT_CTRL   0x2000
#define RIGHT_CTRL  0x1000
#define LEFT_ALT    0x0800
#define RIGHT_ALT   0x0400
#define LOCK_SHIFT  0x0200
#define EXTENDED    0x0100

#define DEBUG_KB


#ifdef DEBUG_KB
extern signed char edge, bitcount;                // 0 = neg.  1 = pos.
extern unsigned int  kb_buffer[];
extern unsigned int *inpt, *outpt;
extern volatile unsigned char buffcnt;
//extern volatile unsigned int anyInt;
#endif
