// PC-Keyboard Scancode Translation Table - German Keyboard
// wb - 30.Jan 2005

#define SCANCODETABLE_WIDTH 4

prog_char scanCodes[]/*[SCANCODETABLE_WIDTH]*/ = {  
// 0=scancode,1=unshifted,2=shifted,3=Extended
   0x0d,  9,  9,   9, 
   0x0e,'^','',   0, 
   0x15,'q','Q', '@', 
   0x16,'1','!',   0, 
   0x1a,'y','Y',   0,
   0x1b,'s','S',   0xF6,  // Summe
   0x1c,'a','A',   0xE0,  // = Alfa
   0x1d,'w','W',   0xE8,  // Wurzelzeichen
   0x1e,'2','"', '',
   0x21,'c','C',   0,
   0x22,'x','X',   0,
   0x23,'d','D', 0xE5, // delta ?
   0x24,'e','E', '',  // Mein Eurozeichen
   0x25,'4','$',   0,
   0x26,'3','', '',
   0x29,' ',' ',   0,
   0x2a,'v','V',   0,
   0x2b,'f','F',   0xF2,   // Phi ?
   0x2c,'t','T',   0,
   0x2d,'r','R',   0,
   0x2e,'5','%',   0,
   0x31,'n','N',   0,
   0x32,'b','B',   0,
   0x33,'h','H',   0,
   0x34,'g','G',   0,
   0x35,'z','Z',   0,
   0x36,'6','&',   0,
//   0x39,',','L',  0,   ???
   0x3a,'m','M', '',
   0x3b,'j','J',   0,
   0x3c,'u','U',   0,
   0x3d,'7','/', '{',
   0x3e,'8','(', '[',
   0x41,',',';',   0,
   0x42,'k','K',   0,
   0x43,'i','I',   0,
   0x44,'o','O',   0xF4,   // Omega
   0x45,'0','=', '}',
   0x46,'9',')', ']',
   0x49,'.',':',   0,
   0x4a,'-','_',   0,
   0x4b,'l','L',   0,
   0x4c,'','',   0,
   0x4d,'p','P',   0xF7,   // Pi
   0x4e,'','?',  '\\',
   0x52,'','',   0,
   0x54,'','',   0,
   0x55,'','`',   0,
   0x5a, 13, 13,  13,
   0x5b,'+','*', '~',
   0x5d,'#','\'',  0, 
   0x61,'<','>', '|',
   0x66,  8,  8,   0,
   0x69,'1','1',   0,
   0x6b,'4','4',   0,
   0x6c,'7','7',   0,
   0x70,'0','0',   0,
   0x71,',',',',   0,
   0x72,'2','2',   0,
   0x73,'5','5',   0,
   0x74,'6','6',   0,
   0x75,'8','8',   0,
   0x76, 27, 27,   0,
   0x79,'+','+',   0,
   0x7a,'3','3',   0,
   0x7b,'-','-',   0,
   0x7c,'*','*',   0,
   0x7d,'9','9',   0,
   0x00, 0,   0,   0 
};
